C3DTransformation::const_iterator Class Reference

`#include <mia/3d/transform.hh>`

Inherits std::forward_iterator_tag.

## Public Member Functions

| const_iterator ()
| const_iterator (const const_iterator &other)
| Copy constructor.
| const_iterator (iterator_impl *holder)
| initialize the iterator with the actual worker object
const C3DBounds & | get_size () const
const C3DFVector & | operator* () const
| return current value of the transformation
const_iterator & | operator++ ()
| prefix increment
const_iterator | operator++ (int)
| postfix increment
const C3DFVector * | operator-> () const
| return pointer to current value of the transformation
const_iterator & | operator= (const const_iterator &other)
| assignment operator
const C3DBounds & | pos () const
| return the current position in 3D space

## Friends

EXPORT_3D bool | operator== (const C3DTransformation::const_iterator &a, const C3DTransformation::const_iterator &b)

## Detailed Description

This is an iterator that iterates over the grid of the domain where the transformation is defined. It implements the forward_iterator model.

Todo

  make position readable from outside

  add iteration over sub-domains

Definition at line 134 of file 3d/transform.hh.

## Constructor & Destructor Documentation

## const_iterator() [1/3]

C3DTransformation::const_iterator::const_iterator | ( |  | ) |

Referenced by const_iterator(), operator++(), operator++(), and operator=().

## const_iterator() [2/3]

C3DTransformation::const_iterator::const_iterator | ( | const const_iterator & | other | ) |

Copy constructor.

References const_iterator().

## const_iterator() [3/3]

C3DTransformation::const_iterator::const_iterator | ( | iterator_impl * | holder | ) |

initialize the iterator with the actual worker object

## Member Function Documentation

## get_size()

const C3DBounds & C3DTransformation::const_iterator::get_size | ( |  | ) | const

Returns
  the size of the supported domain

## operator*()

const C3DFVector & C3DTransformation::const_iterator::operator* | ( |  | ) | const

return current value of the transformation

## operator++() [1/2]

const_iterator & C3DTransformation::const_iterator::operator++ | ( |  | ) |

prefix increment

References const_iterator().

## operator++() [2/2]

const_iterator C3DTransformation::const_iterator::operator++ | ( | int |  | ) |

postfix increment

References const_iterator().

## operator->()

const C3DFVector * C3DTransformation::const_iterator::operator-> | ( |  | ) | const

return pointer to current value of the transformation

## operator=()

const_iterator & C3DTransformation::const_iterator::operator= | ( | const const_iterator & | other | ) |

assignment operator

References const_iterator().

## pos()

const C3DBounds & C3DTransformation::const_iterator::pos | ( |  | ) | const

return the current position in 3D space

## Friends And Related Symbol Documentation

## operator==

EXPORT_3D bool operator== | ( | const C3DTransformation::const_iterator & | a,
|  | const C3DTransformation::const_iterator & | b )

friend

References EXPORT_3D.

The documentation for this class was generated from the following file:

- 3d/transform.hh